﻿using System;
using System.Globalization;
using System.Windows.Data;

namespace TestProject
{
    /// <summary>
    /// ASC 변환자
    /// </summary>
	[ValueConversion(typeof(bool), typeof(bool))]
	public class AscendingConverter : IValueConverter
	{
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 변환하기 - Convert(sourceValue, targetType, parameter, cultureInfo)

        /// <summary>
        /// 변환하기
        /// </summary>
        /// <param name="sourceValue">소스 값</param>
        /// <param name="targetType">타겟 타입</param>
        /// <param name="parameter">매개 변수</param>
        /// <param name="cultureInfo">컬처 정보</param>
        /// <returns>타겟 값</returns>
		public object Convert(object sourceValue, Type targetType, object parameter, CultureInfo cultureInfo)
		{
            bool isDescending = (bool)sourceValue;

            return !isDescending;
		}

        #endregion
        #region 역 변환하기 - ConvertBack(targetValue, sourceType, parameter, cultureInfo)

        /// <summary>
        /// 역 변환하기
        /// </summary>
        /// <param name="targetValue">타겟 값</param>
        /// <param name="sourceType">소스 타입</param>
        /// <param name="parameter">매개 변수</param>
        /// <param name="cultureInfo">컬처 정보</param>
        /// <returns>소스 값</returns>
		public object ConvertBack(object targetValue, Type sourceType, object parameter, CultureInfo cultureInfo)
		{
            bool isAscending = (bool)targetValue;

            return !isAscending;
		}

        #endregion
	}
}